phing-input

# Class: InputRequest Source Location: /input/InputRequest.php
### Class Overview
Encapsulates an input request. #### Author(s): Stefan Bodewig <stefan.bodewig@epost.de> (Ant) Hans Lellelid <hans@xmpl.org> (Phing) #### Version: $Revision: 526 $ | ### Variables $defaultValue $input $prompt $promptChar | ### Methods __construct getDefaultValue getInput getPrompt getPromptChar isInputValid setDefaultValue setInput setPromptChar
### Child classes: MultipleChoiceInputRequest Encapsulates an input request.
### Class Details [line 31] Encapsulates an input request. #### Tags:
author: | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
author: | Hans Lellelid <hans@xmpl.org> (Phing)
version: | $Revision: 526 $
[ Top ] ### Class Variables #### $defaultValue = [line 35] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $input = [line 34] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $prompt = [line 33] #### Tags:
access: | protected
Type: | mixed
[ Top ] #### $promptChar = [line 36] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### constructor __construct [line 41]
`InputRequest __construct( string $prompt)`
#### Tags:
access: | public
Overridden in child classes as: MultipleChoiceInputRequest::__construct() #### Parameters:
string | $prompt | The prompt to show to the user. Must not be null.
[ Top ] ### method getDefaultValue [line 88]
`mixed getDefaultValue( )`
Return the default value to use. #### Tags:
access: | public
[ Top ] ### method getInput [line 72]
`void getInput( )`
Retrieves the user input. #### Tags:
access: | public
Overridden in child classes as: YesNoInputRequest::getInput() Converts input to boolean. [ Top ] ### method getPrompt [line 51]
`void getPrompt( )`
Retrieves the prompt text. #### Tags:
access: | public
[ Top ] ### method getPromptChar [line 104]
`string getPromptChar( )`
Return the default value to use. #### Tags:
access: | public
[ Top ] ### method isInputValid [line 65]
`void isInputValid( )`
Is the user input valid? #### Tags:
access: | public
Overridden in child classes as: MultipleChoiceInputRequest::isInputValid() YesNoInputRequest::isInputValid() [ Top ] ### method setDefaultValue [line 80]
`void setDefaultValue( mixed $v)`
Set the default value to use. #### Tags:
access: | public
#### Parameters:
mixed | $v |
[ Top ] ### method setInput [line 58]
`void setInput( $input)`
Sets the user provided input. #### Tags:
access: | public
#### Parameters:
| $input |
[ Top ] ### method setPromptChar [line 96]
`void setPromptChar( string $c)`
Set the default value to use. #### Tags:
access: | public
#### Parameters:
string | $c |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:06 +0200 by phpDocumentor 1.4.3